Name:           xapi-nbd
Version:        1.9.0
Release:        1%{?dist}
Summary:        NBD server that exposes XenServer disks
License:        LGPL2.1 + OCaml linking exception
URL:            https://github.com/xapi-project/xapi-nbd

Source0: https://code.citrite.net/rest/archive/latest/projects/XSU/repos/xapi-nbd/archive?at=v1.9.0&format=tar.gz&prefix=xapi-nbd-1.9.0#/xapi-nbd-1.9.0.tar.gz
Source1: SOURCES/xapi-nbd/xapi-nbd.service
Source2: SOURCES/xapi-nbd/xapi-nbd.path


Provides: gitsha(https://code.citrite.net/rest/archive/latest/projects/XSU/repos/xapi-nbd/archive?at=v1.9.0&format=tar.gz&prefix=xapi-nbd-1.9.0#/xapi-nbd-1.9.0.tar.gz) = 0c6dc8f1193d8b611bc6cc042d6232c3310e648d

BuildRequires:  xs-opam-repo
BuildRequires:  ocaml-xcp-idl-devel
BuildRequires:  ocaml-xen-api-client-devel
BuildRequires:  openssl-devel

%{?systemd_requires}

%description
NBD server that exposes XenServer disks

%prep
%autosetup -p1

%build
make release

%install
%{__install} -D -m 0755 _build/default/src/main.exe %{buildroot}/%{_sbindir}/xapi-nbd
%{__install} -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/xapi-nbd.service
%{__install} -D -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/xapi-nbd.path

%files
%doc README.md LICENSE MAINTAINERS
%{_sbindir}/xapi-nbd
%{_unitdir}/xapi-nbd.service
%{_unitdir}/xapi-nbd.path

%post
%systemd_post xapi-nbd.service
%systemd_post xapi-nbd.path

%preun
%systemd_preun xapi-nbd.service
%systemd_preun xapi-nbd.path

%postun
%systemd_postun xapi-nbd.service
%systemd_postun xapi-nbd.path

%changelog
* Tue Jan 15 2019 Christian Lindig <christian.lindig@citrix.com> - 1.9.0-1
- CA-307773: initialize EC curve to the one XAPI would use

* Wed Jan 09 2019 Christian Lindig <christian.lindig@citrix.com> - 1.8.0-1
- CA-303570 use same cipher suite as xapi

* Wed Jan 02 2019 Christian Lindig <christian.lindig@citrix.com> - 1.7.0-1
- CP-30062 Update dependencies for Lwt 4.1, OCaml 4.07

* Tue Dec 04 2018 Christian Lindig <christian.lindig@citrix.com> - 1.6.0-1
- Reference xapi-inventory as xcp-invenotry is being deprecated.

* Tue Oct 09 2018 Christian Lindig <christian.lindig@citrix.com> - 1.5.0-1
- CA-298461 use local session for cleanups

* Tue Sep 18 2018 Christian Lindig <christian.lindig@citrix.com> - 1.4.0-1
- Update Travis setup, move to Dune from Jbuilder

* Wed Mar 28 2018 Christian Lindig <christian.lindig@citrix.com> - 1.3.0-1
- Use Alcotest_lwt for Lwt-based unit tests

* Wed Mar 21 2018 Christian Lindig <christian.lindig@citrix.com> - 1.2.0-1
- Fix compiler warnings
- .travis.yml: switch to centos-7

* Fri Jan 26 2018 Christian Lindig <christian.lindig@citrix.com> - 1.1.0-1
- Update to newer Lwt and NBD libraries

* Mon Dec 11 2017 Gabor Igloi <gabor.igloi@citrix.com> - 1.0.0-1
- Remove an unnecessary VDI.get_record XenAPI call

* Fri Oct 27 2017 Gabor Igloi <gabor.igloi@citrix.com> - 0.5.0-1
- CP-24917: Limit simultaneous connections to a maximum of 16

* Thu Oct 12 2017 Gabor Igloi <gabor.igloi@citrix.com> - 0.4.0-1
- Update dependencies to work with xen-api-client 0.11.0
- CP-25017: Ask xapi whether to use TLS or NOTLS
- CA-267340: Attach VBD & serve VDI as read-only

* Thu Oct 09 2017 Gabor Igloi <gabor.igloi@citrix.com> - 0.3.0-1
- Do VBD.plug to dom0 using XenAPI calls instead of interacting with SMAPIv2
- Make sure we clean up the VBDs we create & plug to dom0
- Improved logging
- Compatibility update for xen-api-client v0.10.0

* Fri Sep 15 2017 Gabor Igloi <gabor.igloi@citrix.com> - 0.2.0-1
- Point to 0.2.0, which has TLS support and improved logging

* Mon Aug 07 2017 Gabor Igloi <gabor.igloi@citrix.com> - 0.1.0-1
- Initial package

